/*  
	Copyright
	----------
	
	InfoLink2009 by Alexander Rauscha
	
    This file is part of InfoLink.

    InfoLink is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    InfoLink is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with InfoLink.  If not, see <http://www.gnu.org/licenses/>.
*/

//<![CDATA[
    google.load('search', '1');
	
	function insert_link() {
	 ed = tinyMCEPopup.editor;
	 l = jQuery('#infolink_link').val();
	 t = jQuery('#infolink_title').val();
	 target = jQuery('#infolink_target').val();
	 nfs = '';
	 if(jQuery('#infolink_nofollow:checked').length > 0)
	 	nfs = 'rel="nofollow"'
		
	if(l.substring(0,7) != 'http://')
		l = 'http://'+l;
	
	 ed.selection.setContent('<a href="'+l+'" title="'+t+'" '+nfs+' target="'+target+'" >'+ed.selection.getContent()+'</a>');
	 tinyMCEPopup.close();
	}
	
	function setlink(e, t){
	 jQuery('#infolink_link').val(e.replace('%3A',':').replace(/%2F/g,'/'));
	 jQuery('#infolink_title').val(t);
	}
	
	OnSearchComplete = function(sc, searcher) {
		if ( searcher.results && searcher.results.length > 0) {
			
		jQuery('#infolink_link').val(jQuery('.gs-visibleUrl.gs-visibleUrl-long:first').text().replace('%3A',':').replace(/%2F/g,'/'));
		jQuery('#infolink_title').val(jQuery('.gs-title:first').text());
		 var ilink, ititle, rtype;
		 
		for (var i = 0; i < searcher.results.length; i++) {
			var result = searcher.results[i];
			if (result.GsearchResultClass == google.search.WebSearch.RESULT_CLASS) {
				ilink = result.url;
				rtype = '.gs-webResult';
			} else if(result.GsearchResultClass == google.search.BlogSearch.RESULT_CLASS) {
				ilink = result.postUrl;
				rtype = '.gs-blogResult';
			} else {
				ilink = result.url
				rtype = '.gs-newsResult';
			}
			ititle = result.titleNoFormatting;
		jQuery(rtype+'.gs-result:eq('+i+')').append("<div style=\"margin-top:5px;\"><a href=\"javascript:void(null);\" onclick=\"setlink('"+ilink+"','"+ititle+"');\"><img src=\"img/set.gif\" title=\"Set Link\" /></a></div>");
		}
		if( i > 1)
			jQuery('#infolink_so').fadeIn();
		
		}
	}
	
	
	function Search_G(s, web, blog, news, op) {
 
	var searchControl = new google.search.SearchControl();
	
	var options = new google.search.SearcherOptions();
	
	if(op)
	options.setExpandMode(google.search.SearchControl.EXPAND_MODE_OPEN);
	else
	options.setExpandMode(google.search.SearchControl.EXPAND_MODE_PARTIAL);
	
      
	  if(web)
	  searchControl.addSearcher(new google.search.WebSearch(), options);
	 if(blog)
      searchControl.addSearcher(new google.search.BlogSearch());
	  if(news)
      searchControl.addSearcher(new google.search.NewsSearch());
	  searchControl.draw(document.getElementById('search_output'));
		
      // execute an inital search
      searchControl.execute(s);
	  
	  searchControl.setSearchCompleteCallback(this, OnSearchComplete);
	 
    }
	
tinyMCEPopup.onInit.add(function(ed) {
	var url = tinyMCEPopup.getWindowArg('service_url');
	var query = ed.selection.getContent();
	
	if(url == 'google'){
		
		if(query == "")
		query ="gnomx.at";
		Search_G(query, true, true, true, false);
		
	} else {
		Search_G(query+ ' site:'+url, true, false, false, true);	
	} 
    jQuery('#infolink_link').val('http://');
	jQuery('#infolink_title').val('InfoLink Link');
});

    //]]>